.banner {
    padding-top: 0;
    margin-bottom: 2rem;
}

.banner-container {
    height: 730px;
    padding: 0;
    background-image:
        radial-gradient(circle, rgba(0, 0, 0, 0) 5%, rgba(0, 0, 0, 0.6) 30%, rgba(0, 0, 0, 0.8) 60%, rgba(0, 0, 0, 1) 100%),
        url('../images/banner_image.jpg');
    background-size: cover;
    background-position: -100px center;
    background-blend-mode: darken;
}
.banner-link {
    display: block;
    text-decoration: none;
    color: inherit;
}

.banner-content {
    padding: 150px 100px 30px 700px;
    display: flex;
    flex-direction: column;
    justify-content: end;
}

.banner-title {
    display: flex; /* Включение Flexbox */
    align-items: center; /* Центрирование по вертикали */
}

.title-logo img {
    height: 150px;
}


.banner-schedule {
    padding-top: 290px;
    display: flex;
    flex-direction: row;
    gap: 2rem;
    justify-content: space-between;
    align-items: center;
    text-align: center;
}

.schedule-title {
    font-size: 1rem;
    font-weight: bold;
    color: white;
    margin: 0;
}

.schedule-subtitle {
    font-size: 1rem;
    color: #989898;
    margin: 0;
    padding: 0;
}

.separator {
    width: 2px;
    background-color: white;
    height: 30px;
}

@media (max-width: 1282px) {
    .banner-container {
        height: 650px;
    }
    .banner-content {
        padding: 150px 100px 30px 600px;
    }
    .banner-schedule {
        padding-top: 230px;
        gap: 1rem;
    }
}

@media (max-width: 1182px) {
    .banner-container {
        height: 600px;
    }
    .banner-content {
        padding: 110px 100px 30px 450px;
    }
}

@media (max-width: 992px) {
    .banner-content {
        padding: 30px 100px;
        gap: 1rem;
    }

    .schedule-title {
        font-size: .8rem;
        margin: 0;
    }

    .schedule-subtitle {
        font-size: .8rem;
    }
}

@media (max-width: 768px) {
    .banner-container {
        height: 320px;
        background-position: -80px;
    }

    .banner-content {
        padding: 50px 100px;
        flex-direction: column;
    }

    .banner-title {
        justify-content: end;
    }

    .title-logo img {
        height: 80px;
    }

    .banner-schedule {
        padding-top: 110px;
    }

    .schedule-title {
        font-size: .8rem;
        margin: 0;
    }

    .schedule-subtitle {
        font-size: .8rem;
    }

    .separator {
        width: 1px;
        background-color: white;
        height: 20px;
    }
}

@media (max-width: 610px) {
    .banner-container {
        height: 320px;
        background-position: -80px;
    }

    .banner-content {
        padding: 50px 15px;
        flex-direction: column;
    }

    .banner-title {
        justify-content: center;
    }

    .title-logo img {
        height: 60px;
    }

    .banner-schedule {
        margin-top: 100px;
        gap: 1rem;
        padding: 0 40px;
    }

    .schedule-title {
        font-size: .6rem;
    }

    .schedule-subtitle {
        font-size: .6rem;
    }

    .separator {
        width: 1px;
        background-color: white;
        height: 10px;
    }
}
